Summary: Kernel NFS server.
Name: knfsd
Version: 1.4.7
Release: 1
Group: System Environment/Daemons
Copyright: GPL
Url: http://www.CSUA.Berkeley.EDU/~gam3/knfsd/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.kernel.org/pub/linux/devel/gcc/knfsd-%{version}.tar.bz2
Requires: portmap >= 4.0
Buildroot: /var/tmp/%{name}-root

%description
This is the *new* kernel NFS server and related tools.  It provides a much
higher level of performance than the traditional Linux user-land NFS server.


%package clients
Summary: Clients for connecting to a remote NFS server.
Group: Applications/System

%description clients
The nfs-clients package contains the showmount program. Showmount
queries the mount daemon on a remote host for information about the
NFS (Network File System) server on the remote host.  For example,
showmount can display the clients which are mounted on that host.  This
package is not needed to mount NFS volumes.

Install nfs-clients if you'd like to use the showmount tool for
querying NFS servers.


%package lock
Summary: Programs for NFS file locking.
Requires: portmap >= 4.0
Group: Applications/System

%description lock
The nfs-lock pacage contains programs which support the NFS file lock.
Install nfs-lock if you want to use file lock over NFS.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr --sysconfdir=/etc
make


%install
rm -rf $RPM_BUILD_ROOT
make install install_prefix=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 knfsd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/nfs
install -m 755 knfslock.init $RPM_BUILD_ROOT/etc/rc.d/init.d/nfslock


%post
/sbin/chkconfig --add nfs

%post lock
/sbin/chkconfig --add nfslock

%preun
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del nfs
fi

%preun lock
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del nfslock
fi


%files
%defattr(-,root,root)
%doc ChangeLog INSTALL KNOWNBUGS NEW README TAGS THANKS TODO
%config /etc/rc.d/init.d/nfs
%config(noreplace) /var/lib/nfs/xtab
%config(noreplace) /var/lib/nfs/etab
%config(noreplace) /var/lib/nfs/rmtab
%dir /var/lib/nfs
/usr/sbin/exportfs
/usr/sbin/rpc.mountd
/usr/sbin/rpc.nfsd
/usr/sbin/nfsstat
/usr/sbin/rpc.rquotad
/usr/sbin/nhfsstone
/usr/man/man5/exports.5
/usr/man/man8/exportfs.8
/usr/man/man8/mountd.8
/usr/man/man8/nfsd.8
/usr/man/man8/nfsstat.8
/usr/man/man8/rquotad.8
/usr/man/man8/rpc.mountd.8
/usr/man/man8/rpc.nfsd.8
/usr/man/man8/rpc.rquotad.8

%files lock
%defattr(-,root,root)
%config /etc/rc.d/init.d/nfslock
/usr/sbin/rpc.lockd
/usr/sbin/rpc.statd
/usr/man/man8/rpc.statd.8
/usr/man/man8/statd.8

%files clients
%defattr(-,root,root)
/usr/sbin/showmount
/usr/man/man8/showmount.8


%clean
rm -rf $RPM_BUILD_ROOT
